Projects API
POST/api/v1/projects/{id}/phases/{phaseId}/tasks
Product availabilityAlgaPSA

Create project phase task

Creates a new task in the specified project phase. Resolve phaseId from the project phases and project_status_mapping_id from the project task status mappings before calling this endpoint.

RBAC · project

Path parameters

idstring <uuid>Required
Project UUID.
phaseIdstring <uuid>Required
Project phase UUID.

Request body

Content type: application/json · schema ProjectTaskCreateRequest

task_namestringRequired
min length 1 · max length 255
descriptionstring
assigned_tostring <uuid>
estimated_hoursnumber
≥ 0
start_datestring <date-time>
due_datestring <date-time>
priority_idstring <uuid>
task_type_keystring
default "general"
project_status_mapping_idstring <uuid>Required
wbs_codestring
tagsarray of string
itemsstring

Response body

Success response 201 · schema ProjectTaskEnvelope

dataobjectRequired
task_idstring <uuid>Required
phase_idstring <uuid>Required
task_namestringRequired
descriptionstringRequiredNullable
assigned_tostring <uuid>RequiredNullable
estimated_hoursnumberRequiredNullable
actual_hoursnumberRequiredNullable
project_status_mapping_idstring <uuid>Required
start_datestring <date-time>Nullable
due_datestring <date-time>Nullable
priority_idstring <uuid>RequiredNullable
task_type_keystringRequired
wbs_codestringRequired
order_keystring
created_atstring <date-time>Required
updated_atstring <date-time>Required
tenantstring <uuid>Required
tagsarray of string
itemsstring
service_idstring <uuid>Nullable
is_closedboolean
phase_namestringNullable
project_idstring <uuid>Nullable
project_namestringNullable
client_idstring <uuid>Nullable

Response codes

201
Project task created successfully.
400
Validation error.
401
Authentication failed.
403
Authenticated user lacks the required permission.
404
Project or phase not found.